aboutsummaryrefslogtreecommitdiffhomepage
path: root/test
diff options
context:
space:
mode:
authorlemon <lsof@mailbox.org>2026-02-22 19:07:21 +0100
committerlemon <lsof@mailbox.org>2026-02-22 19:08:36 +0100
commit4fc494d2a99a021b62b6eec5d16ca829213649eb (patch)
tree32887bf63561da4e9d95a457e1dddfcb6ab3bd95 /test
parentc13e1ec500a8a7ce6d41f0610ee1e71da50bb3b7 (diff)
add sqlite submodule and test runner
Diffstat (limited to 'test')
-rwxr-xr-xtest/sqlite.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/sqlite.sh b/test/sqlite.sh
new file mode 100755
index 0000000..e19b855
--- /dev/null
+++ b/test/sqlite.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+cd $(dirname "$0")/external/sqlite
+if ! test -f ./configure; then
+ echo 'sqlite submodule not pulled in!'
+ exit 1
+fi
+set -e
+CCACHE=none CC="$(realpath ../../../antcc)" ./configure
+make clean
+V=1 make
+V=1 make devtest